Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0035729
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] 09. Financial managementmajoralways2017-04-07 12:202017-05-29 17:43
ReporterJONHMView Statuspublic 
Assigned Toalostale 
PriorityhighResolutionfixedFixed in Version3.0PR17Q3
StatusclosedFix in branchFixed in SCM revisiond9446ef6dac0
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Tocaristu
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0035729: Performance issue in Financial Account when having high number of Organizations

DescriptionCreating a new record into [Payment Method] tab of Financial Account takes more than a minute. It seems to happen because the environment have a 1.3K organizations.
Steps To ReproduceAsk environment to JONHM (16Q2)
1) Open 'Financial Account' window and select record with name 'Org622_FA1007'
2) Switch to [Payment Method] subtab and click on NEW record
  -> It takes ~1min the UI to turn on editable (during this time a request to FIC is being processed).
TagsPerformance
Attached Files? file icon slowBehavior.mp4 [^] (1,147,080 bytes) 2017-04-07 12:20
png file icon Selection_176.png [^] (104,016 bytes) 2017-05-02 15:43


png file icon Selection_177.png [^] (50,678 bytes) 2017-05-02 15:44

- Relationships Relation Graph ] Dependency Graph ]
related to feature request 00355903.0PR17Q3 closedvmromanos AD_IsOrgIncluded performance improvements 
related to design defect 0035909 closedalostale accessible organizations is calculated once per column in FIC 
depends on defect 0033605 closedshuehner OrgTree.getAccessibleTree is very slow with many organizations 
related to feature request 0037980 closedalostale Improve organization cache in session 
causes defect 0035916 closedalostale TestComboDatasource fails 

-  Notes
(0096304)
aferraz (developer)
2017-05-02 12:55

Problem seems to be in FormInitializationComponent:
DEBUG org.openbravo.client.application.window.FormInitializationComponent - Elapsed time: 44852(26,0,3,0,24499,20315,0,1,0,2)
(t6 - t5) -> computeColumnValues -> 24499
(t7 - t6) -> executeCallouts and computeAuxiliaryInputs -> 20315

There are no auxiliary inputs defined for this tab.
There are no complex default values.
There is only one callout (SE_PaymentMethod) which only takes around 2 ms to be executed.
(0096317)
alostale (developer)
2017-05-02 15:42
edited on: 2017-05-02 15:44

Profiling application:
* FIC in NEW takes 56s, inside it Utility.getReferencableOrg consumed 55.5s

No slow DB queries were seen

(0096344)
hgbot (developer)
2017-05-03 14:17

Repository: erp/devel/pi
Changeset: d9446ef6dac015006bff72fbc4787357b59b8a7e
Author: Asier Lostalé <asier.lostale <at> openbravo.com>
Date: Wed May 03 14:15:41 2017 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/d9446ef6dac015006bff72fbc4787357b59b8a7e [^]

fixed bug 35729: OrgTree.getAccessibleTree is slow with many organizations

  Added some minor refactors on top of what was done for 0035590:
   * When inserting nodes, just prepend them, don't add position
   * Simplified some loops with for each statements
   * Improved toString method preventing String concatenations

---
M src/org/openbravo/base/secureApp/OrgTree.java
---
(0096345)
alostale (developer)
2017-05-03 14:19

* Main improvements were already implemented in 16Q4 by fix for 0033605, which reduce FIC time from 55s to 1.2s.
* In addition to them, current patch reduces from 1.2s to 500ms.
(0096372)
hgbot (developer)
2017-05-04 10:02

Repository: erp/devel/pi
Changeset: 761ac217cc3a395b2d27edefb249e866bcc7da90
Author: Asier Lostalé <asier.lostale <at> openbravo.com>
Date: Thu May 04 09:55:58 2017 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/761ac217cc3a395b2d27edefb249e866bcc7da90 [^]

related to bug 35729: some clean up in OrgTree

  1. getDescendantTreeList had 2 boolean params which were always set to true,
     so they have been removed
  2. Removed also some code duplication

---
M src/org/openbravo/base/secureApp/OrgTree.java
---
(0096479)
caristu (developer)
2017-05-09 10:33

Reviewed
(0096930)
hudsonbot (developer)
2017-05-29 17:43

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/1ee70113bdc4 [^]
Maturity status: Test
(0096935)
hudsonbot (developer)
2017-05-29 17:43

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/1ee70113bdc4 [^]
Maturity status: Test

- Issue History
Date Modified Username Field Change
2017-04-07 12:20 JONHM New Issue
2017-04-07 12:20 JONHM Assigned To => Triage Finance
2017-04-07 12:20 JONHM File Added: slowBehavior.mp4
2017-04-07 12:20 JONHM Modules => Core
2017-04-07 12:20 JONHM Triggers an Emergency Pack => No
2017-04-10 14:45 aferraz Assigned To Triage Finance => markmm82
2017-04-10 14:46 aferraz Relationship added related to 0035590
2017-04-25 21:29 markmm82 Status new => scheduled
2017-05-02 12:55 aferraz Note Added: 0096304
2017-05-02 12:55 aferraz Assigned To markmm82 => platform
2017-05-02 12:55 aferraz Status scheduled => feedback
2017-05-02 12:55 aferraz Status feedback => new
2017-05-02 15:42 alostale Note Added: 0096317
2017-05-02 15:43 alostale File Added: Selection_176.png
2017-05-02 15:44 alostale File Added: Selection_177.png
2017-05-02 15:44 alostale Note Edited: 0096317 View Revisions
2017-05-03 10:34 alostale Tag Attached: Performance
2017-05-03 10:35 alostale Status new => scheduled
2017-05-03 10:35 alostale Assigned To platform => alostale
2017-05-03 14:07 alostale Relationship added depends on 0033605
2017-05-03 14:10 alostale Description Updated View Revisions
2017-05-03 14:10 alostale Steps to Reproduce Updated View Revisions
2017-05-03 14:17 alostale Steps to Reproduce Updated View Revisions
2017-05-03 14:17 hgbot Checkin
2017-05-03 14:17 hgbot Note Added: 0096344
2017-05-03 14:17 hgbot Status scheduled => resolved
2017-05-03 14:17 hgbot Resolution open => fixed
2017-05-03 14:17 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/d9446ef6dac015006bff72fbc4787357b59b8a7e [^]
2017-05-03 14:19 alostale Note Added: 0096345
2017-05-03 14:27 alostale Relationship added related to 0035909
2017-05-03 16:10 shuehner Issue Monitored: shuehner
2017-05-04 09:11 alostale Relationship added causes 0035916
2017-05-04 10:02 hgbot Checkin
2017-05-04 10:02 hgbot Note Added: 0096372
2017-05-05 07:34 alostale Review Assigned To => caristu
2017-05-09 10:33 caristu Note Added: 0096479
2017-05-09 10:33 caristu Status resolved => closed
2017-05-09 10:33 caristu Fixed in Version => 3.0PR17Q3
2017-05-29 17:43 hudsonbot Checkin
2017-05-29 17:43 hudsonbot Note Added: 0096930
2017-05-29 17:43 hudsonbot Checkin
2017-05-29 17:43 hudsonbot Note Added: 0096935
2018-02-20 17:14 alostale Relationship added related to 0037980


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker